#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h> // Required for 16 MHz Adafruit Trinket
#endif
#define LED_PIN     2
#define LED_COUNT  5

#define BRIGHTNESS 50

#define hengxiangxianwei 10
#define chuizhixianweishang 9
#define chuizhixianweixia 8
#define hengxiangdianjiIN1 7
#define hengxiangdianjiIN2 6
#define chuizhidianjiIN1 5
#define chuizhidianjiIN2 4

#define jishuqi 3
#define yewei1 A0
#define yewei2 A1
#define yewei3 A2

#define hengxiangqianjin digitalWrite(hengxiangdianjiIN1,HIGH);digitalWrite(hengxiangdianjiIN2,LOW);
#define hengxianghoutui digitalWrite(hengxiangdianjiIN1,LOW);digitalWrite(hengxiangdianjiIN2,HIGH);
#define hengxiangtingzhi digitalWrite(hengxiangdianjiIN1,LOW);digitalWrite(hengxiangdianjiIN2,LOW);

#define chuizhishang digitalWrite(chuizhidianjiIN1,HIGH);digitalWrite(chuizhidianjiIN2,LOW);
#define chuizhixia digitalWrite(chuizhidianjiIN1,LOW);digitalWrite(chuizhidianjiIN2,HIGH);
#define chuizhitingzhi digitalWrite(chuizhidianjiIN1,LOW);digitalWrite(chuizhidianjiIN2,LOW);

// Declare our NeoPixel strip object:
Adafruit_NeoPixel strip(LED_COUNT, LED_PIN, NEO_GRBW + NEO_KHZ800);
int flag = 0,flagstatus  = 0;
void init()
{
    while(hengxiangxianwei!=0)
       hengxianghoutui;
    while(chuizhixianweixia!=0)
       chuizhixia;
    strip.setPixelColor(1, 0,0,255);         //  Set pixel's color (in RAM)
    strip.setPixelColor(2, 0,0,255);         //  Set pixel's color (in RAM)
    strip.setPixelColor(3, 0,0,255);         //  Set pixel's color (in RAM)
    strip.show();                          //  Update strip to match
    
  }
void setup() {

#if defined(__AVR_ATtiny85__) && (F_CPU == 16000000)
  clock_prescale_set(clock_div_1);
#endif
  // END of Trinket-specific code.

  strip.begin();           // INITIALIZE NeoPixel strip object (REQUIRED)
  strip.show();            // Turn OFF all pixels ASAP
  strip.setBrightness(50); // Set BRIGHTNESS to about 1/5 (max = 255)
  pinMode(jishuqi,INPUT);
  pinMode(yewei1,INPUT);
  pinMode(yewei2,INPUT);
  pinMode(yewei3,INPUT);

  pinMode(hengxiangxianwei,OUTPUT);
  pinMode(chuizhixianweishang,OUTPUT);
  pinMode(chuizhixianweixia,OUTPUT);
  pinMode(hengxiangdianjiIN1,OUTPUT);
  pinMode(hengxiangdianjiIN2,OUTPUT);
  pinMode(chuizhidianjiIN1,OUTPUT);
  pinMode(chuizhidianjiIN2,OUTPUT);
  
}

void loop() {
    
  machinerun();
}

void  machinerun()
{
   if(flag==0)
   {
       hengxiangqianjin;
       while(jishuqicheck());
       hengxiangtingzhi;
       strip.setPixelColor(1, 0,255,0);         //  Set pixel's color (in RAM)
       strip.show();  
       while(zhuizhixianweishang==0)
       chuizhishang;
       chuizhixia;
       flag = 1;
    }
    if(flag==1)
   {
       hengxiangqianjin;
       while(jishuqicheck());
       hengxiangtingzhi;
       strip.setPixelColor(2, 0,255,0);         //  Set pixel's color (in RAM)
       strip.show();  
       while(zhuizhixianweishang==0)
       chuizhishang;
       chuizhixia;
       flag = 2;
    }
     if(flag==1)
   {
       hengxiangqianjin;
       while(jishuqicheck());
       hengxiangtingzhi;
       strip.setPixelColor(3, 0,255,0);         //  Set pixel's color (in RAM)
       strip.show();  
       while(zhuizhixianweishang==0)
       chuizhishang;
       chuizhixia;
       flag = 3;
    }
  }
int jishuqicheck()
{
    if(jishuqi==0)
    {
       delay(5);
       if(jishuqi==0)
       {
          while(jishuqi==0);
          return 0;
        }
      }

     return 1;
  }
